Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.io.support
Class PropertiesLoaderUtils

    java.lang.Object
      org.springframework.core.io.support.PropertiesLoaderUtils

    public abstract class PropertiesLoaderUtils

extends Object

Convenient utility methods for loading of `java.util.Properties`, performing standard handling of input streams.

For more configurable properties loading, including the option of a customized encoding, consider using the PropertiesLoaderSupport class.

Since:
  2.0
Author:
  Juergen Hoeller, Rob Harrop
See Also:
  `PropertiesLoaderSupport`

Constructor Summary
`PropertiesLoaderUtils()`

Method Summary
`static void` | `fillProperties(Properties props, Resource resource)` Fill the given properties from the given resource.
`static Properties` | `loadAllProperties(String resourceName)` Load all properties from the given class path resource, using the default class loader.
`static Properties` | `loadAllProperties(String resourceName, ClassLoader classLoader)` Load all properties from the given class path resource, using the given class loader.
`static Properties` | `loadProperties(Resource resource)` Load properties from the given resource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesLoaderUtils

    public PropertiesLoaderUtils()

Method Detail

### loadProperties

    public static Properties loadProperties(Resource resource)
                                     throws IOException

  Load properties from the given resource.

  Parameters:
    `resource` - the resource to load from
  Returns:
    the populated Properties instance
  Throws:
    `IOException` - if loading failed

### fillProperties

    public static void fillProperties(Properties props,
                                      Resource resource)
                               throws IOException

  Fill the given properties from the given resource.

  Parameters:
    `props` - the Properties instance to fill
    `resource` - the resource to load from
  Throws:
    `IOException` - if loading failed

### loadAllProperties

    public static Properties loadAllProperties(String resourceName)
                                        throws IOException

  Load all properties from the given class path resource, using the default class loader.

  Merges properties if more than one resource of the same name found in the class path.

  Parameters:
    `resourceName` - the name of the class path resource
  Returns:
    the populated Properties instance
  Throws:
    `IOException` - if loading failed

### loadAllProperties

    public static Properties loadAllProperties(String resourceName,
                                               ClassLoader classLoader)
                                        throws IOException

  Load all properties from the given class path resource, using the given class loader.

  Merges properties if more than one resource of the same name found in the class path.

  Parameters:
    `resourceName` - the name of the class path resource
    `classLoader` - the ClassLoader to use for loading (or `null` to use the default class loader)
  Returns:
    the populated Properties instance
  Throws:
    `IOException` - if loading failed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.